Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlgraphics.image.codec.png
Class PNGRed

    java.lang.Object
      org.apache.xmlgraphics.image.rendered.AbstractRed
          org.apache.xmlgraphics.image.codec.png.PNGRed

All Implemented Interfaces:
  RenderedImage, CachableRed

    public class PNGRed

extends AbstractRed

Version:
  $Id: PNGRed.java 1681108 2015-05-22 13:26:12Z ssteiner $

Field Summary
`static int` | `PNG_COLOR_GRAY`
`static int` | `PNG_COLOR_GRAY_ALPHA`
`static int` | `PNG_COLOR_PALETTE`
`static int` | `PNG_COLOR_RGB`
`static int` | `PNG_COLOR_RGB_ALPHA`
`static int` | `PNG_FILTER_AVERAGE`
`static int` | `PNG_FILTER_NONE`
`static int` | `PNG_FILTER_PAETH`
`static int` | `PNG_FILTER_SUB`
`static int` | `PNG_FILTER_UP`

Fields inherited from class org.apache.xmlgraphics.image.rendered.AbstractRed
`cm, minTileX, minTileY, numXTiles, numYTiles, props, sm, srcs, tileGridXOff, tileGridYOff, tileHeight, tileWidth`

Constructor Summary
`PNGRed(InputStream stream)`
`PNGRed(InputStream stream, PNGDecodeParam decodeParam)`

Method Summary
`WritableRaster` | `copyData(WritableRaster wr)`
`static ColorModel` | `createComponentColorModel(SampleModel sm)` A convenience method to create an instance of `ComponentColorModel` suitable for use with the given `SampleModel`.
`Raster` | `getTile(int tileX, int tileY)`

Methods inherited from class org.apache.xmlgraphics.image.rendered.AbstractRed
`copyBand, copyToRaster, getBounds, getColorModel, getData, getData, getDependencyRegion, getDirtyRegion, getHeight, getMinTileX, getMinTileY, getMinX, getMinY, getNumXTiles, getNumYTiles, getProperty, getPropertyNames, getSampleModel, getSources, getTileGridXOffset, getTileGridYOffset, getTileHeight, getTileWidth, getWidth, getXTile, getYTile, init, init, makeTile, updateTileGridInfo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PNG_COLOR_GRAY

    public static final int PNG_COLOR_GRAY

See Also:
  Constant Field Values

### PNG_COLOR_RGB

    public static final int PNG_COLOR_RGB

See Also:
  Constant Field Values

### PNG_COLOR_PALETTE

    public static final int PNG_COLOR_PALETTE

See Also:
  Constant Field Values

### PNG_COLOR_GRAY_ALPHA

    public static final int PNG_COLOR_GRAY_ALPHA

See Also:
  Constant Field Values

### PNG_COLOR_RGB_ALPHA

    public static final int PNG_COLOR_RGB_ALPHA

See Also:
  Constant Field Values

### PNG_FILTER_NONE

    public static final int PNG_FILTER_NONE

See Also:
  Constant Field Values

### PNG_FILTER_SUB

    public static final int PNG_FILTER_SUB

See Also:
  Constant Field Values

### PNG_FILTER_UP

    public static final int PNG_FILTER_UP

See Also:
  Constant Field Values

### PNG_FILTER_AVERAGE

    public static final int PNG_FILTER_AVERAGE

See Also:
  Constant Field Values

### PNG_FILTER_PAETH

    public static final int PNG_FILTER_PAETH

See Also:
  Constant Field Values

Constructor Detail

### PNGRed

    public PNGRed(InputStream stream)
           throws IOException

Throws:
  `IOException`

### PNGRed

    public PNGRed(InputStream stream,
                  PNGDecodeParam decodeParam)
           throws IOException

Throws:
  `IOException`

Method Detail

### createComponentColorModel

    public static ColorModel createComponentColorModel(SampleModel sm)

  A convenience method to create an instance of `ComponentColorModel` suitable for use with the given `SampleModel`. The `SampleModel` should have a data type of `DataBuffer.TYPE_BYTE`, `TYPE_USHORT`, or `TYPE_INT` and between 1 and 4 bands. Depending on the number of bands of the `SampleModel`, either a gray, gray+alpha, rgb, or rgb+alpha `ColorModel` is returned.

### copyData

    public WritableRaster copyData(WritableRaster wr)

### getTile

    public Raster getTile(int tileX,
                          int tileY)

  Specified by:
    `getTile` in interface `RenderedImage`
  Overrides:
    `getTile` in class `AbstractRed`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.